<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: OpenSim::MocoInitialVelocityEquilibriumDGFGoal Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_user.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For MATLAB, Python, Java, and C++ users</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1MocoInitialVelocityEquilibriumDGFGoal.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="classOpenSim_1_1MocoInitialVelocityEquilibriumDGFGoal-members.html">List of all members</a> &#124;
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">OpenSim::MocoInitialVelocityEquilibriumDGFGoal Class Reference<div class="ingroups"><a class="el" href="group__mocogoal.html">Moco: Available goals</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>For <a class="el" href="classOpenSim_1_1DeGrooteFregly2016Muscle.html" title="This muscle model was published in De Groote et al.">DeGrooteFregly2016Muscle</a> components with implicit tendon compliance dynamics, the initial tendon and fiber velocities are determined based the derivative of the linearized muscle-tendon equilibrium equation described in Millard et al.  
 <a href="classOpenSim_1_1MocoInitialVelocityEquilibriumDGFGoal.html#details">More...</a></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for OpenSim::MocoInitialVelocityEquilibriumDGFGoal:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classOpenSim_1_1MocoInitialVelocityEquilibriumDGFGoal.png" usemap="#OpenSim::MocoInitialVelocityEquilibriumDGFGoal_map" alt=""/>
  <map id="OpenSim::MocoInitialVelocityEquilibriumDGFGoal_map" name="OpenSim::MocoInitialVelocityEquilibriumDGFGoal_map">
<area href="classOpenSim_1_1MocoGoal.html" title="A goal is a term in the cost functional to be minimized, or a set of endpoint constraints that must l..." alt="OpenSim::MocoGoal" shape="rect" coords="0,56,289,80"/>
<area href="classOpenSim_1_1Object.html" title="This is the base class for all OpenSim objects that are serializable (meaning they can be written to ..." alt="OpenSim::Object" shape="rect" coords="0,0,289,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8284cf5f454529c8e983493343488fd3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoInitialVelocityEquilibriumDGFGoal.html#a8284cf5f454529c8e983493343488fd3">MocoInitialVelocityEquilibriumDGFGoal</a> ()=default</td></tr>
<tr class="separator:a8284cf5f454529c8e983493343488fd3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a683254252c4902b0e8c826eaa9b5abe5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoInitialVelocityEquilibriumDGFGoal.html#a683254252c4902b0e8c826eaa9b5abe5">MocoInitialVelocityEquilibriumDGFGoal</a> (std::string name)</td></tr>
<tr class="separator:a683254252c4902b0e8c826eaa9b5abe5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classOpenSim_1_1MocoGoal"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classOpenSim_1_1MocoGoal')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classOpenSim_1_1MocoGoal.html">OpenSim::MocoGoal</a></td></tr>
<tr class="memitem:ab876e218922d12ceadd08ac65ec87516 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoGoal.html#ab876e218922d12ceadd08ac65ec87516">MocoGoal</a> ()</td></tr>
<tr class="separator:ab876e218922d12ceadd08ac65ec87516 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21a05b0f2d08cc8319ab2c462568e8b7 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoGoal.html#a21a05b0f2d08cc8319ab2c462568e8b7">MocoGoal</a> (std::string name)</td></tr>
<tr class="separator:a21a05b0f2d08cc8319ab2c462568e8b7 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a85e0fc5b84f1fb50db5008c3489281 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoGoal.html#a8a85e0fc5b84f1fb50db5008c3489281">MocoGoal</a> (std::string name, double weight)</td></tr>
<tr class="separator:a8a85e0fc5b84f1fb50db5008c3489281 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6419bcdb1d1e2e37ee09d952c5395b16 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoGoal.html#a6419bcdb1d1e2e37ee09d952c5395b16">setEnabled</a> (bool enabled)</td></tr>
<tr class="memdesc:a6419bcdb1d1e2e37ee09d952c5395b16 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOpenSim_1_1Set.html" title="A class for holding a set of pointers to objects.">Set</a> whether this goal is used in the problem.  <a href="classOpenSim_1_1MocoGoal.html#a6419bcdb1d1e2e37ee09d952c5395b16">More...</a><br /></td></tr>
<tr class="separator:a6419bcdb1d1e2e37ee09d952c5395b16 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4810fa34c402751f7fc83930a1f3841c inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoGoal.html#a4810fa34c402751f7fc83930a1f3841c">getEnabled</a> () const</td></tr>
<tr class="separator:a4810fa34c402751f7fc83930a1f3841c inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e947739c6475c1a0de4eee3acf2ab56 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoGoal.html#a3e947739c6475c1a0de4eee3acf2ab56">setWeight</a> (double weight)</td></tr>
<tr class="memdesc:a3e947739c6475c1a0de4eee3acf2ab56 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="mdescLeft">&#160;</td><td class="mdescRight">In cost mode, the goal is multiplied by this weight.  <a href="classOpenSim_1_1MocoGoal.html#a3e947739c6475c1a0de4eee3acf2ab56">More...</a><br /></td></tr>
<tr class="separator:a3e947739c6475c1a0de4eee3acf2ab56 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1569b168cd4c0ddac91b83b7d9f7497 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoGoal.html#ae1569b168cd4c0ddac91b83b7d9f7497">getWeight</a> () const</td></tr>
<tr class="separator:ae1569b168cd4c0ddac91b83b7d9f7497 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc97cb555f9435b802a3fada0e1f0a0e inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoGoal.html#afc97cb555f9435b802a3fada0e1f0a0e">setMode</a> (std::string mode)</td></tr>
<tr class="memdesc:afc97cb555f9435b802a3fada0e1f0a0e inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOpenSim_1_1Set.html" title="A class for holding a set of pointers to objects.">Set</a> the mode property to either 'cost' or 'endpoint_constraint'.  <a href="classOpenSim_1_1MocoGoal.html#afc97cb555f9435b802a3fada0e1f0a0e">More...</a><br /></td></tr>
<tr class="separator:afc97cb555f9435b802a3fada0e1f0a0e inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af802b500db6dea1bc2dd7de7d1861b30 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoGoal.html#af802b500db6dea1bc2dd7de7d1861b30">getModeAsString</a> () const</td></tr>
<tr class="memdesc:af802b500db6dea1bc2dd7de7d1861b30 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="mdescLeft">&#160;</td><td class="mdescRight">This returns the default mode of the goal, unless the user overrode the default using <a class="el" href="classOpenSim_1_1MocoGoal.html#afc97cb555f9435b802a3fada0e1f0a0e" title="Set the mode property to either &#39;cost&#39; or &#39;endpoint_constraint&#39;.">setMode()</a>.  <a href="classOpenSim_1_1MocoGoal.html#af802b500db6dea1bc2dd7de7d1861b30">More...</a><br /></td></tr>
<tr class="separator:af802b500db6dea1bc2dd7de7d1861b30 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab10b2e06188003dbe0179c0ab800018 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1MocoGoal.html#a4f55d8cf0ff70498be696061539440a5">Mode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoGoal.html#aab10b2e06188003dbe0179c0ab800018">getMode</a> () const</td></tr>
<tr class="separator:aab10b2e06188003dbe0179c0ab800018 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc15e8f00a4a5708f37dbe89e97a1e8d inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoGoal.html#acc15e8f00a4a5708f37dbe89e97a1e8d">getModeIsCost</a> () const</td></tr>
<tr class="separator:acc15e8f00a4a5708f37dbe89e97a1e8d inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc47bb8e896fadcfcdf58541356f03f4 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoGoal.html#abc47bb8e896fadcfcdf58541356f03f4">getModeIsEndpointConstraint</a> () const</td></tr>
<tr class="separator:abc47bb8e896fadcfcdf58541356f03f4 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e815589c948654dad2a536255a483b4 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1MocoGoal.html#a4f55d8cf0ff70498be696061539440a5">Mode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoGoal.html#a5e815589c948654dad2a536255a483b4">getDefaultMode</a> () const</td></tr>
<tr class="memdesc:a5e815589c948654dad2a536255a483b4 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="mdescLeft">&#160;</td><td class="mdescRight">Types of goals have a class-level default for whether they are enforced as a cost or endpoint constraint.  <a href="classOpenSim_1_1MocoGoal.html#a5e815589c948654dad2a536255a483b4">More...</a><br /></td></tr>
<tr class="separator:a5e815589c948654dad2a536255a483b4 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17c98807378f91679964b099405694c6 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoGoal.html#a17c98807378f91679964b099405694c6">getSupportsEndpointConstraint</a> () const</td></tr>
<tr class="memdesc:a17c98807378f91679964b099405694c6 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="mdescLeft">&#160;</td><td class="mdescRight">Can this goal be used in endpoint constraint mode?  <a href="classOpenSim_1_1MocoGoal.html#a17c98807378f91679964b099405694c6">More...</a><br /></td></tr>
<tr class="separator:a17c98807378f91679964b099405694c6 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a209d6c3851d710888c2e97c9dcaf10b3 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOpenSim_1_1MocoConstraintInfo.html">MocoConstraintInfo</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoGoal.html#a209d6c3851d710888c2e97c9dcaf10b3">getConstraintInfo</a> () const</td></tr>
<tr class="memdesc:a209d6c3851d710888c2e97c9dcaf10b3 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get bounds for the constraints that are enforced when using this goal in endpoint constraint mode.  <a href="classOpenSim_1_1MocoGoal.html#a209d6c3851d710888c2e97c9dcaf10b3">More...</a><br /></td></tr>
<tr class="separator:a209d6c3851d710888c2e97c9dcaf10b3 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae05b2a2e83938e035c2b507c8d033d06 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1MocoConstraintInfo.html">MocoConstraintInfo</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoGoal.html#ae05b2a2e83938e035c2b507c8d033d06">updConstraintInfo</a> ()</td></tr>
<tr class="separator:ae05b2a2e83938e035c2b507c8d033d06 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc32b72b57e41b644f9954916e9327d8 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoGoal.html#abc32b72b57e41b644f9954916e9327d8">getNumOutputs</a> () const</td></tr>
<tr class="memdesc:abc32b72b57e41b644f9954916e9327d8 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the length of the return value of <a class="el" href="classOpenSim_1_1MocoGoal.html#aa1b26360696f6a606fc81de9324e6513" title="In cost mode, the returned cost includes the weight, and the elements of the returned vector should b...">calcGoal()</a>.  <a href="classOpenSim_1_1MocoGoal.html#abc32b72b57e41b644f9954916e9327d8">More...</a><br /></td></tr>
<tr class="separator:abc32b72b57e41b644f9954916e9327d8 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affe63d2bc066af2dd7233791a90a2782 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoGoal.html#affe63d2bc066af2dd7233791a90a2782">getNumIntegrals</a> () const</td></tr>
<tr class="memdesc:affe63d2bc066af2dd7233791a90a2782 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of integrals required by this cost.  <a href="classOpenSim_1_1MocoGoal.html#affe63d2bc066af2dd7233791a90a2782">More...</a><br /></td></tr>
<tr class="separator:affe63d2bc066af2dd7233791a90a2782 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6b9fe3f7f788fab7177d456cd6e22bf inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memItemLeft" align="right" valign="top">SimTK::Stage&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoGoal.html#af6b9fe3f7f788fab7177d456cd6e22bf">getStageDependency</a> () const</td></tr>
<tr class="memdesc:af6b9fe3f7f788fab7177d456cd6e22bf inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="mdescLeft">&#160;</td><td class="mdescRight">Obtain the stage that this goal depends on.  <a href="classOpenSim_1_1MocoGoal.html#af6b9fe3f7f788fab7177d456cd6e22bf">More...</a><br /></td></tr>
<tr class="separator:af6b9fe3f7f788fab7177d456cd6e22bf inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5f21ef76eb2e08397aa40bac99eecff inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memItemLeft" align="right" valign="top">SimTK::Real&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoGoal.html#af5f21ef76eb2e08397aa40bac99eecff">calcIntegrand</a> (const <a class="el" href="structOpenSim_1_1MocoGoal_1_1IntegrandInput.html">IntegrandInput</a> &amp;input) const</td></tr>
<tr class="memdesc:af5f21ef76eb2e08397aa40bac99eecff inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculate the integrand that should be integrated and passed to calcCost().  <a href="classOpenSim_1_1MocoGoal.html#af5f21ef76eb2e08397aa40bac99eecff">More...</a><br /></td></tr>
<tr class="separator:af5f21ef76eb2e08397aa40bac99eecff inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1b26360696f6a606fc81de9324e6513 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoGoal.html#aa1b26360696f6a606fc81de9324e6513">calcGoal</a> (const <a class="el" href="structOpenSim_1_1MocoGoal_1_1GoalInput.html">GoalInput</a> &amp;input, SimTK::Vector &amp;goal) const</td></tr>
<tr class="memdesc:aa1b26360696f6a606fc81de9324e6513 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="mdescLeft">&#160;</td><td class="mdescRight">In cost mode, the returned cost includes the weight, and the elements of the returned vector should be summed by the caller to obtain the total cost.  <a href="classOpenSim_1_1MocoGoal.html#aa1b26360696f6a606fc81de9324e6513">More...</a><br /></td></tr>
<tr class="separator:aa1b26360696f6a606fc81de9324e6513 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab75d0a86abf9296e63d559b92d6efdf3 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoGoal.html#ab75d0a86abf9296e63d559b92d6efdf3">initializeOnModel</a> (const <a class="el" href="classOpenSim_1_1Model.html">Model</a> &amp;model) const</td></tr>
<tr class="memdesc:ab75d0a86abf9296e63d559b92d6efdf3 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="mdescLeft">&#160;</td><td class="mdescRight">Perform error checks on user input for this goal, and cache quantities needed when computing the goal value.  <a href="classOpenSim_1_1MocoGoal.html#ab75d0a86abf9296e63d559b92d6efdf3">More...</a><br /></td></tr>
<tr class="separator:ab75d0a86abf9296e63d559b92d6efdf3 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3306da4cb626f8b4f1e0e77495aa0a9 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="classOpenSim_1_1MocoScaleFactor.html">MocoScaleFactor</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoGoal.html#ab3306da4cb626f8b4f1e0e77495aa0a9">getScaleFactors</a> () const</td></tr>
<tr class="memdesc:ab3306da4cb626f8b4f1e0e77495aa0a9 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a vector of the MocoScaleFactors added to this <a class="el" href="classOpenSim_1_1MocoGoal.html" title="A goal is a term in the cost functional to be minimized, or a set of endpoint constraints that must l...">MocoGoal</a>.  <a href="classOpenSim_1_1MocoGoal.html#ab3306da4cb626f8b4f1e0e77495aa0a9">More...</a><br /></td></tr>
<tr class="separator:ab3306da4cb626f8b4f1e0e77495aa0a9 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a247ea0e9b53398a6cb81b82d81f71e40 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoGoal.html#a247ea0e9b53398a6cb81b82d81f71e40">printDescription</a> () const</td></tr>
<tr class="memdesc:a247ea0e9b53398a6cb81b82d81f71e40 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="mdescLeft">&#160;</td><td class="mdescRight">Print the name type and mode of this goal.  <a href="classOpenSim_1_1MocoGoal.html#a247ea0e9b53398a6cb81b82d81f71e40">More...</a><br /></td></tr>
<tr class="separator:a247ea0e9b53398a6cb81b82d81f71e40 inherit pub_methods_classOpenSim_1_1MocoGoal"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classOpenSim_1_1Object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classOpenSim_1_1Object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td></tr>
<tr class="memitem:a5dc026c632531b193236dfaa65962d40 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a5dc026c632531b193236dfaa65962d40">~Object</a> ()</td></tr>
<tr class="memdesc:a5dc026c632531b193236dfaa65962d40 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual destructor for cleanup.  <a href="classOpenSim_1_1Object.html#a5dc026c632531b193236dfaa65962d40">More...</a><br /></td></tr>
<tr class="separator:a5dc026c632531b193236dfaa65962d40 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23efd5c15fb67f5dcba46f4f381b8908 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a23efd5c15fb67f5dcba46f4f381b8908">isEqualTo</a> (const <a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;aObject) const</td></tr>
<tr class="memdesc:a23efd5c15fb67f5dcba46f4f381b8908 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Equality operator wrapper for use from languages not supporting operator overloading.  <a href="classOpenSim_1_1Object.html#a23efd5c15fb67f5dcba46f4f381b8908">More...</a><br /></td></tr>
<tr class="separator:a23efd5c15fb67f5dcba46f4f381b8908 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1296dda9711e0e061fd29b88eacae796 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a1296dda9711e0e061fd29b88eacae796">operator=</a> (const <a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;aObject)</td></tr>
<tr class="memdesc:a1296dda9711e0e061fd29b88eacae796 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy assignment copies he base class fields, including the properties.  <a href="classOpenSim_1_1Object.html#a1296dda9711e0e061fd29b88eacae796">More...</a><br /></td></tr>
<tr class="separator:a1296dda9711e0e061fd29b88eacae796 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac907289709a4b5a40f153851144f14a7 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ac907289709a4b5a40f153851144f14a7">operator==</a> (const <a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;aObject) const</td></tr>
<tr class="memdesc:ac907289709a4b5a40f153851144f14a7 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Determine if two objects are equal.  <a href="classOpenSim_1_1Object.html#ac907289709a4b5a40f153851144f14a7">More...</a><br /></td></tr>
<tr class="separator:ac907289709a4b5a40f153851144f14a7 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f6579e10ac312d2ba5860a5c71be065 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a9f6579e10ac312d2ba5860a5c71be065">operator&lt;</a> (const <a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;aObject) const</td></tr>
<tr class="memdesc:a9f6579e10ac312d2ba5860a5c71be065 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Provide an ordering for objects so they can be put in sorted containers.  <a href="classOpenSim_1_1Object.html#a9f6579e10ac312d2ba5860a5c71be065">More...</a><br /></td></tr>
<tr class="separator:a9f6579e10ac312d2ba5860a5c71be065 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44921f417260a606255a162bfaa74e85 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a44921f417260a606255a162bfaa74e85">setName</a> (const std::string &amp;name)</td></tr>
<tr class="memdesc:a44921f417260a606255a162bfaa74e85 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of the <a class="el" href="classOpenSim_1_1Object.html" title="This is the base class for all OpenSim objects that are serializable (meaning they can be written to ...">Object</a>.  <a href="classOpenSim_1_1Object.html#a44921f417260a606255a162bfaa74e85">More...</a><br /></td></tr>
<tr class="separator:a44921f417260a606255a162bfaa74e85 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8305bf8b07e36357ecd5974557b4f1f6 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a8305bf8b07e36357ecd5974557b4f1f6">getName</a> () const</td></tr>
<tr class="memdesc:a8305bf8b07e36357ecd5974557b4f1f6 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of this <a class="el" href="classOpenSim_1_1Object.html" title="This is the base class for all OpenSim objects that are serializable (meaning they can be written to ...">Object</a>.  <a href="classOpenSim_1_1Object.html#a8305bf8b07e36357ecd5974557b4f1f6">More...</a><br /></td></tr>
<tr class="separator:a8305bf8b07e36357ecd5974557b4f1f6 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a736967772e266744409791c21a94dd80 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a736967772e266744409791c21a94dd80">setDescription</a> (const std::string &amp;description)</td></tr>
<tr class="memdesc:a736967772e266744409791c21a94dd80 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set description, a one-liner summary.  <a href="classOpenSim_1_1Object.html#a736967772e266744409791c21a94dd80">More...</a><br /></td></tr>
<tr class="separator:a736967772e266744409791c21a94dd80 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae4380e83784a756db86db4a219a7bf7 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#aae4380e83784a756db86db4a219a7bf7">getDescription</a> () const</td></tr>
<tr class="memdesc:aae4380e83784a756db86db4a219a7bf7 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get description, a one-liner summary.  <a href="classOpenSim_1_1Object.html#aae4380e83784a756db86db4a219a7bf7">More...</a><br /></td></tr>
<tr class="separator:aae4380e83784a756db86db4a219a7bf7 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02daafc67d38d371b59b91dbc1a649c2 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a02daafc67d38d371b59b91dbc1a649c2">getAuthors</a> () const</td></tr>
<tr class="memdesc:a02daafc67d38d371b59b91dbc1a649c2 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get Authors of this <a class="el" href="classOpenSim_1_1Object.html" title="This is the base class for all OpenSim objects that are serializable (meaning they can be written to ...">Object</a>.  <a href="classOpenSim_1_1Object.html#a02daafc67d38d371b59b91dbc1a649c2">More...</a><br /></td></tr>
<tr class="separator:a02daafc67d38d371b59b91dbc1a649c2 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5543fa91645f86c336d121cf6da60dfd inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a5543fa91645f86c336d121cf6da60dfd">setAuthors</a> (const std::string &amp;authors)</td></tr>
<tr class="memdesc:a5543fa91645f86c336d121cf6da60dfd inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Authors of this object.  <a href="classOpenSim_1_1Object.html#a5543fa91645f86c336d121cf6da60dfd">More...</a><br /></td></tr>
<tr class="separator:a5543fa91645f86c336d121cf6da60dfd inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab29889c8cc7234150faf9c65e8502d37 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ab29889c8cc7234150faf9c65e8502d37">getReferences</a> () const</td></tr>
<tr class="memdesc:ab29889c8cc7234150faf9c65e8502d37 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get references or publications to cite if using this object.  <a href="classOpenSim_1_1Object.html#ab29889c8cc7234150faf9c65e8502d37">More...</a><br /></td></tr>
<tr class="separator:ab29889c8cc7234150faf9c65e8502d37 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cf59c40ec8751e01d736db3383cbe50 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a3cf59c40ec8751e01d736db3383cbe50">setReferences</a> (const std::string &amp;references)</td></tr>
<tr class="memdesc:a3cf59c40ec8751e01d736db3383cbe50 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set references or publications to cite if using this object.  <a href="classOpenSim_1_1Object.html#a3cf59c40ec8751e01d736db3383cbe50">More...</a><br /></td></tr>
<tr class="separator:a3cf59c40ec8751e01d736db3383cbe50 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade85bfec32b1adcf1620f17a9ccb0085 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ade85bfec32b1adcf1620f17a9ccb0085">getNumProperties</a> () const</td></tr>
<tr class="memdesc:ade85bfec32b1adcf1620f17a9ccb0085 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Determine how many properties are stored with this Object.  <a href="classOpenSim_1_1Object.html#ade85bfec32b1adcf1620f17a9ccb0085">More...</a><br /></td></tr>
<tr class="separator:ade85bfec32b1adcf1620f17a9ccb0085 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3a688f6aade423d981f7d401de25659 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOpenSim_1_1AbstractProperty.html">AbstractProperty</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ab3a688f6aade423d981f7d401de25659">getPropertyByIndex</a> (int propertyIndex) const</td></tr>
<tr class="memdesc:ab3a688f6aade423d981f7d401de25659 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a const reference to a property by its index number, returned as an <a class="el" href="classOpenSim_1_1AbstractProperty.html" title="An abstract property is a serializable (name,value) pair, for which we do not know the type of the va...">AbstractProperty</a>.  <a href="classOpenSim_1_1Object.html#ab3a688f6aade423d981f7d401de25659">More...</a><br /></td></tr>
<tr class="separator:ab3a688f6aade423d981f7d401de25659 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3f81ef13cb278c49785cbb2236cc2b0 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1AbstractProperty.html">AbstractProperty</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ac3f81ef13cb278c49785cbb2236cc2b0">updPropertyByIndex</a> (int propertyIndex)</td></tr>
<tr class="memdesc:ac3f81ef13cb278c49785cbb2236cc2b0 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a writable reference to a property by its index number, returned as an <a class="el" href="classOpenSim_1_1AbstractProperty.html" title="An abstract property is a serializable (name,value) pair, for which we do not know the type of the va...">AbstractProperty</a>.  <a href="classOpenSim_1_1Object.html#ac3f81ef13cb278c49785cbb2236cc2b0">More...</a><br /></td></tr>
<tr class="separator:ac3f81ef13cb278c49785cbb2236cc2b0 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a118a4dbce4593eb71fbc7c5a66abf9 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a7a118a4dbce4593eb71fbc7c5a66abf9">hasProperty</a> (const std::string &amp;name) const</td></tr>
<tr class="memdesc:a7a118a4dbce4593eb71fbc7c5a66abf9 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if this Object has a property of any type with the given <em>name</em>, which must not be empty.  <a href="classOpenSim_1_1Object.html#a7a118a4dbce4593eb71fbc7c5a66abf9">More...</a><br /></td></tr>
<tr class="separator:a7a118a4dbce4593eb71fbc7c5a66abf9 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c5fbd22819482c9c25799c4ff3b1b66 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOpenSim_1_1AbstractProperty.html">AbstractProperty</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a1c5fbd22819482c9c25799c4ff3b1b66">getPropertyByName</a> (const std::string &amp;name) const</td></tr>
<tr class="memdesc:a1c5fbd22819482c9c25799c4ff3b1b66 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a const reference to a property by its name, returned as an <a class="el" href="classOpenSim_1_1AbstractProperty.html" title="An abstract property is a serializable (name,value) pair, for which we do not know the type of the va...">AbstractProperty</a>.  <a href="classOpenSim_1_1Object.html#a1c5fbd22819482c9c25799c4ff3b1b66">More...</a><br /></td></tr>
<tr class="separator:a1c5fbd22819482c9c25799c4ff3b1b66 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62268af4017fc9d547ae718b3cb3733d inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1AbstractProperty.html">AbstractProperty</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a62268af4017fc9d547ae718b3cb3733d">updPropertyByName</a> (const std::string &amp;name)</td></tr>
<tr class="memdesc:a62268af4017fc9d547ae718b3cb3733d inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a writable reference to a property by its name, returned as an <a class="el" href="classOpenSim_1_1AbstractProperty.html" title="An abstract property is a serializable (name,value) pair, for which we do not know the type of the va...">AbstractProperty</a>.  <a href="classOpenSim_1_1Object.html#a62268af4017fc9d547ae718b3cb3733d">More...</a><br /></td></tr>
<tr class="separator:a62268af4017fc9d547ae718b3cb3733d inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11da800c7f37191c3d509b61dcd4cfed inherit pub_methods_classOpenSim_1_1Object"><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr class="memitem:a11da800c7f37191c3d509b61dcd4cfed inherit pub_methods_classOpenSim_1_1Object"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a11da800c7f37191c3d509b61dcd4cfed">hasProperty</a> () const</td></tr>
<tr class="memdesc:a11da800c7f37191c3d509b61dcd4cfed inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if this Object contains an unnamed, one-object property that contains objects of the given template type T.  <a href="classOpenSim_1_1Object.html#a11da800c7f37191c3d509b61dcd4cfed">More...</a><br /></td></tr>
<tr class="separator:a11da800c7f37191c3d509b61dcd4cfed inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5fcf7a8d6f90b18e43800aea7c4b740 inherit pub_methods_classOpenSim_1_1Object"><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr class="memitem:ae5fcf7a8d6f90b18e43800aea7c4b740 inherit pub_methods_classOpenSim_1_1Object"><td class="memTemplItemLeft" align="right" valign="top">const <a class="el" href="classOpenSim_1_1Property.html">Property</a>&lt; T &gt; &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ae5fcf7a8d6f90b18e43800aea7c4b740">getProperty</a> (const PropertyIndex &amp;index) const</td></tr>
<tr class="memdesc:ae5fcf7a8d6f90b18e43800aea7c4b740 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get property of known type <a class="el" href="classOpenSim_1_1Property.html" title="A Property&lt;T&gt; is a serializable (name, list-of-values) pair, where each value is of type T.">Property</a>&lt;T&gt; as a const reference; the property must be present and have the right type.  <a href="classOpenSim_1_1Object.html#ae5fcf7a8d6f90b18e43800aea7c4b740">More...</a><br /></td></tr>
<tr class="separator:ae5fcf7a8d6f90b18e43800aea7c4b740 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a351933e7ddc7a7e761e2a8a9cd12728b inherit pub_methods_classOpenSim_1_1Object"><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr class="memitem:a351933e7ddc7a7e761e2a8a9cd12728b inherit pub_methods_classOpenSim_1_1Object"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1Property.html">Property</a>&lt; T &gt; &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a351933e7ddc7a7e761e2a8a9cd12728b">updProperty</a> (const PropertyIndex &amp;index)</td></tr>
<tr class="memdesc:a351933e7ddc7a7e761e2a8a9cd12728b inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get property of known type <a class="el" href="classOpenSim_1_1Property.html" title="A Property&lt;T&gt; is a serializable (name, list-of-values) pair, where each value is of type T.">Property</a>&lt;T&gt; as a writable reference; the property must be present and have the right type.  <a href="classOpenSim_1_1Object.html#a351933e7ddc7a7e761e2a8a9cd12728b">More...</a><br /></td></tr>
<tr class="separator:a351933e7ddc7a7e761e2a8a9cd12728b inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae117a439778e50c34d4553df12d2e4ae inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ae117a439778e50c34d4553df12d2e4ae">isObjectUpToDateWithProperties</a> () const</td></tr>
<tr class="memdesc:ae117a439778e50c34d4553df12d2e4ae inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns <code>true</code> if no property's value has changed since the last time <a class="el" href="classOpenSim_1_1Object.html#a6aff140025aa58def7bad8810a6c4652" title="When an object is initialized using the current values of its properties, it can set a flag indicatin...">setObjectIsUpToDateWithProperties()</a> was called.  <a href="classOpenSim_1_1Object.html#ae117a439778e50c34d4553df12d2e4ae">More...</a><br /></td></tr>
<tr class="separator:ae117a439778e50c34d4553df12d2e4ae inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd740e38f08939be0c05b622b2a5f61e inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#abd740e38f08939be0c05b622b2a5f61e">readObjectFromXMLNodeOrFile</a> (SimTK::Xml::Element &amp;objectElement, int versionNumber)</td></tr>
<tr class="memdesc:abd740e38f08939be0c05b622b2a5f61e inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">We're given an XML element from which we are to populate this Object.  <a href="classOpenSim_1_1Object.html#abd740e38f08939be0c05b622b2a5f61e">More...</a><br /></td></tr>
<tr class="separator:abd740e38f08939be0c05b622b2a5f61e inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a988abda95a67bb454373a89fe38f2af7 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a988abda95a67bb454373a89fe38f2af7">updateFromXMLNode</a> (SimTK::Xml::Element &amp;objectElement, int versionNumber)</td></tr>
<tr class="memdesc:a988abda95a67bb454373a89fe38f2af7 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this method to deserialize an object from a SimTK::Xml::Element.  <a href="classOpenSim_1_1Object.html#a988abda95a67bb454373a89fe38f2af7">More...</a><br /></td></tr>
<tr class="separator:a988abda95a67bb454373a89fe38f2af7 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4ab0f4cb534e1c3ed13d42670ed6ec3 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ad4ab0f4cb534e1c3ed13d42670ed6ec3">updateXMLNode</a> (SimTK::Xml::Element &amp;parent, const <a class="el" href="classOpenSim_1_1AbstractProperty.html">AbstractProperty</a> *prop=nullptr) const</td></tr>
<tr class="memdesc:ad4ab0f4cb534e1c3ed13d42670ed6ec3 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Serialize this object into the XML node that represents it.  <a href="classOpenSim_1_1Object.html#ad4ab0f4cb534e1c3ed13d42670ed6ec3">More...</a><br /></td></tr>
<tr class="separator:ad4ab0f4cb534e1c3ed13d42670ed6ec3 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32016b09c0f930ef78e08ef9e99d7f80 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a32016b09c0f930ef78e08ef9e99d7f80">getInlined</a> () const</td></tr>
<tr class="memdesc:a32016b09c0f930ef78e08ef9e99d7f80 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Inlined means an in-memory <a class="el" href="classOpenSim_1_1Object.html" title="This is the base class for all OpenSim objects that are serializable (meaning they can be written to ...">Object</a> that is not associated with an <a class="el" href="classOpenSim_1_1XMLDocument.html">XMLDocument</a>.  <a href="classOpenSim_1_1Object.html#a32016b09c0f930ef78e08ef9e99d7f80">More...</a><br /></td></tr>
<tr class="separator:a32016b09c0f930ef78e08ef9e99d7f80 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab419ca21895e653bffb4fc5b0ac3afa2 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ab419ca21895e653bffb4fc5b0ac3afa2">setInlined</a> (bool aInlined, const std::string &amp;aFileName=&quot;&quot;)</td></tr>
<tr class="memdesc:ab419ca21895e653bffb4fc5b0ac3afa2 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mark this as inlined or not and optionally provide a file name to associate with the new <a class="el" href="classOpenSim_1_1XMLDocument.html">XMLDocument</a> for the non-inline case.  <a href="classOpenSim_1_1Object.html#ab419ca21895e653bffb4fc5b0ac3afa2">More...</a><br /></td></tr>
<tr class="separator:ab419ca21895e653bffb4fc5b0ac3afa2 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26674406a1078da2383483ce79af8066 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a26674406a1078da2383483ce79af8066">getDocumentFileName</a> () const</td></tr>
<tr class="memdesc:a26674406a1078da2383483ce79af8066 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">If there is a document associated with this object then return the file name maintained by the document.  <a href="classOpenSim_1_1Object.html#a26674406a1078da2383483ce79af8066">More...</a><br /></td></tr>
<tr class="separator:a26674406a1078da2383483ce79af8066 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4b5a7a6c8e4fce9c8644b60012119b4 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#af4b5a7a6c8e4fce9c8644b60012119b4">getDocumentFileVersion</a> () const</td></tr>
<tr class="memdesc:af4b5a7a6c8e4fce9c8644b60012119b4 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">If there is a document associated with this object then return its version number.  <a href="classOpenSim_1_1Object.html#af4b5a7a6c8e4fce9c8644b60012119b4">More...</a><br /></td></tr>
<tr class="separator:af4b5a7a6c8e4fce9c8644b60012119b4 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a092550b5528d3d817022c045e4144183 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a092550b5528d3d817022c045e4144183">setAllPropertiesUseDefault</a> (bool aUseDefault)</td></tr>
<tr class="separator:a092550b5528d3d817022c045e4144183 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73c30a096fbdc4e00c01a0cf0e853255 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a73c30a096fbdc4e00c01a0cf0e853255">print</a> (const std::string &amp;fileName) const</td></tr>
<tr class="memdesc:a73c30a096fbdc4e00c01a0cf0e853255 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write this Object into an XML file of the given name; conventionally the suffix to use is ".osim".  <a href="classOpenSim_1_1Object.html#a73c30a096fbdc4e00c01a0cf0e853255">More...</a><br /></td></tr>
<tr class="separator:a73c30a096fbdc4e00c01a0cf0e853255 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54d201e1b95b4bc8ca80154a166f0236 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a54d201e1b95b4bc8ca80154a166f0236">dump</a> () const</td></tr>
<tr class="memdesc:a54d201e1b95b4bc8ca80154a166f0236 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">dump the XML representation of this Object into an std::string and return it.  <a href="classOpenSim_1_1Object.html#a54d201e1b95b4bc8ca80154a166f0236">More...</a><br /></td></tr>
<tr class="separator:a54d201e1b95b4bc8ca80154a166f0236 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa435db21ddc75dc46161cb0c2d1ef022 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#aa435db21ddc75dc46161cb0c2d1ef022">isA</a> (const char *type) const</td></tr>
<tr class="memdesc:aa435db21ddc75dc46161cb0c2d1ef022 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">The default implementation returns true only if the supplied string is "Object"; each Object-derived class overrides this to match its own class name.  <a href="classOpenSim_1_1Object.html#aa435db21ddc75dc46161cb0c2d1ef022">More...</a><br /></td></tr>
<tr class="separator:aa435db21ddc75dc46161cb0c2d1ef022 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae20f7560c2ff26f0ba64e3cc81887ce8 inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ae20f7560c2ff26f0ba64e3cc81887ce8">toString</a> () const</td></tr>
<tr class="memdesc:ae20f7560c2ff26f0ba64e3cc81887ce8 inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wrapper to be used on Java side to display objects in tree; this returns just the object's name.  <a href="classOpenSim_1_1Object.html#ae20f7560c2ff26f0ba64e3cc81887ce8">More...</a><br /></td></tr>
<tr class="separator:ae20f7560c2ff26f0ba64e3cc81887ce8 inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accf9602cb1075775f01243618e8cf57b inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1PropertySet.html">PropertySet</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#accf9602cb1075775f01243618e8cf57b">getPropertySet</a> ()</td></tr>
<tr class="memdesc:accf9602cb1075775f01243618e8cf57b inherit pub_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">OBSOLETE: Get a reference to the <a class="el" href="classOpenSim_1_1PropertySet.html" title="A property set is simply a set of properties.">PropertySet</a> maintained by the <a class="el" href="classOpenSim_1_1Object.html" title="This is the base class for all OpenSim objects that are serializable (meaning they can be written to ...">Object</a>.  <a href="classOpenSim_1_1Object.html#accf9602cb1075775f01243618e8cf57b">More...</a><br /></td></tr>
<tr class="separator:accf9602cb1075775f01243618e8cf57b inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab62051f89f23ece69aa8265c9aabb7ec inherit pub_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOpenSim_1_1PropertySet.html">PropertySet</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ab62051f89f23ece69aa8265c9aabb7ec">getPropertySet</a> () const</td></tr>
<tr class="separator:ab62051f89f23ece69aa8265c9aabb7ec inherit pub_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td colspan="2"><div class="groupHeader">Auto-generated functions</div></td></tr>
<tr class="memitem:addd7dc4bc27d67aa55ff2a481cf63090"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOpenSim_1_1MocoInitialVelocityEquilibriumDGFGoal.html">MocoInitialVelocityEquilibriumDGFGoal</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoInitialVelocityEquilibriumDGFGoal.html#addd7dc4bc27d67aa55ff2a481cf63090">safeDownCast</a> (<a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a> *obj)</td></tr>
<tr class="memdesc:addd7dc4bc27d67aa55ff2a481cf63090"><td class="mdescLeft">&#160;</td><td class="mdescRight">For use in MATLAB and Python to access the concrete class.  <a href="classOpenSim_1_1MocoInitialVelocityEquilibriumDGFGoal.html#addd7dc4bc27d67aa55ff2a481cf63090">More...</a><br /></td></tr>
<tr class="separator:addd7dc4bc27d67aa55ff2a481cf63090"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classOpenSim_1_1MocoGoal"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classOpenSim_1_1MocoGoal')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classOpenSim_1_1MocoGoal.html">OpenSim::MocoGoal</a></td></tr>
<tr class="memitem:ab45b779b561042b89a8e84a92831141f inherit pub_static_methods_classOpenSim_1_1MocoGoal"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOpenSim_1_1MocoGoal.html">MocoGoal</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoGoal.html#ab45b779b561042b89a8e84a92831141f">safeDownCast</a> (<a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a> *obj)</td></tr>
<tr class="memdesc:ab45b779b561042b89a8e84a92831141f inherit pub_static_methods_classOpenSim_1_1MocoGoal"><td class="mdescLeft">&#160;</td><td class="mdescRight">For use in MATLAB and Python to access the concrete class.  <a href="classOpenSim_1_1MocoGoal.html#ab45b779b561042b89a8e84a92831141f">More...</a><br /></td></tr>
<tr class="separator:ab45b779b561042b89a8e84a92831141f inherit pub_static_methods_classOpenSim_1_1MocoGoal"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56c8703d4bb72cc8a0006ba99fd211ac inherit pub_static_methods_classOpenSim_1_1MocoGoal"><td class="memItemLeft" align="right" valign="top">static const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoGoal.html#a56c8703d4bb72cc8a0006ba99fd211ac">getClassName</a> ()</td></tr>
<tr class="memdesc:a56c8703d4bb72cc8a0006ba99fd211ac inherit pub_static_methods_classOpenSim_1_1MocoGoal"><td class="mdescLeft">&#160;</td><td class="mdescRight">This returns "MocoGoal" <br  />
  <a href="classOpenSim_1_1MocoGoal.html#a56c8703d4bb72cc8a0006ba99fd211ac">More...</a><br /></td></tr>
<tr class="separator:a56c8703d4bb72cc8a0006ba99fd211ac inherit pub_static_methods_classOpenSim_1_1MocoGoal"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classOpenSim_1_1Object"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classOpenSim_1_1Object')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a></td></tr>
<tr class="memitem:ace1fe7d9f4d7509b5d9e74fbe757b72d inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ace1fe7d9f4d7509b5d9e74fbe757b72d">registerType</a> (const <a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;defaultObject)</td></tr>
<tr class="memdesc:ace1fe7d9f4d7509b5d9e74fbe757b72d inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Register an instance of a class; if the class is already registered it will be replaced.  <a href="classOpenSim_1_1Object.html#ace1fe7d9f4d7509b5d9e74fbe757b72d">More...</a><br /></td></tr>
<tr class="separator:ace1fe7d9f4d7509b5d9e74fbe757b72d inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4f89d1f8a5d4b85dba51df9b207183b inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ad4f89d1f8a5d4b85dba51df9b207183b">renameType</a> (const std::string &amp;oldTypeName, const std::string &amp;newTypeName)</td></tr>
<tr class="memdesc:ad4f89d1f8a5d4b85dba51df9b207183b inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Support versioning by associating the current Object type with an old name.  <a href="classOpenSim_1_1Object.html#ad4f89d1f8a5d4b85dba51df9b207183b">More...</a><br /></td></tr>
<tr class="separator:ad4f89d1f8a5d4b85dba51df9b207183b inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa003166ace3f14af022b6650fc6fbd7 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classOpenSim_1_1Object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#afa003166ace3f14af022b6650fc6fbd7">getDefaultInstanceOfType</a> (const std::string &amp;concreteClassName)</td></tr>
<tr class="memdesc:afa003166ace3f14af022b6650fc6fbd7 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return a pointer to the default instance of the registered (concrete) Object whose class name is given, or NULL if the type is not registered.  <a href="classOpenSim_1_1Object.html#afa003166ace3f14af022b6650fc6fbd7">More...</a><br /></td></tr>
<tr class="separator:afa003166ace3f14af022b6650fc6fbd7 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77a7df6eb433b4e130ce7aa63b8d3d7e inherit pub_static_methods_classOpenSim_1_1Object"><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr class="memitem:a77a7df6eb433b4e130ce7aa63b8d3d7e inherit pub_static_methods_classOpenSim_1_1Object"><td class="memTemplItemLeft" align="right" valign="top">static bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a77a7df6eb433b4e130ce7aa63b8d3d7e">isObjectTypeDerivedFrom</a> (const std::string &amp;concreteClassName)</td></tr>
<tr class="memdesc:a77a7df6eb433b4e130ce7aa63b8d3d7e inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if the given concrete object type represents a subclass of the template object type T, and thus could be referenced with a T*.  <a href="classOpenSim_1_1Object.html#a77a7df6eb433b4e130ce7aa63b8d3d7e">More...</a><br /></td></tr>
<tr class="separator:a77a7df6eb433b4e130ce7aa63b8d3d7e inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd44aecebc85d2f98ff3adf443e284d0 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOpenSim_1_1Object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#afd44aecebc85d2f98ff3adf443e284d0">newInstanceOfType</a> (const std::string &amp;concreteClassName)</td></tr>
<tr class="memdesc:afd44aecebc85d2f98ff3adf443e284d0 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new instance of the concrete Object type whose class name is given as <em>concreteClassName</em>.  <a href="classOpenSim_1_1Object.html#afd44aecebc85d2f98ff3adf443e284d0">More...</a><br /></td></tr>
<tr class="separator:afd44aecebc85d2f98ff3adf443e284d0 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0296f61a06c319786a46d29743135d74 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a0296f61a06c319786a46d29743135d74">getRegisteredTypenames</a> (<a class="el" href="classOpenSim_1_1Array.html">Array</a>&lt; std::string &gt; &amp;typeNames)</td></tr>
<tr class="memdesc:a0296f61a06c319786a46d29743135d74 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve all the typenames registered so far.  <a href="classOpenSim_1_1Object.html#a0296f61a06c319786a46d29743135d74">More...</a><br /></td></tr>
<tr class="separator:a0296f61a06c319786a46d29743135d74 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34f0039fba61c2fef84ba6bf8c07de6d inherit pub_static_methods_classOpenSim_1_1Object"><td class="memTemplParams" colspan="2">template&lt;class T &gt; </td></tr>
<tr class="memitem:a34f0039fba61c2fef84ba6bf8c07de6d inherit pub_static_methods_classOpenSim_1_1Object"><td class="memTemplItemLeft" align="right" valign="top">static void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a34f0039fba61c2fef84ba6bf8c07de6d">getRegisteredObjectsOfGivenType</a> (<a class="el" href="classOpenSim_1_1ArrayPtrs.html">ArrayPtrs</a>&lt; T &gt; &amp;rArray)</td></tr>
<tr class="memdesc:a34f0039fba61c2fef84ba6bf8c07de6d inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return an array of pointers to the default instances of all registered (concrete) Object types that derive from a given Object-derived type that does not have to be concrete.  <a href="classOpenSim_1_1Object.html#a34f0039fba61c2fef84ba6bf8c07de6d">More...</a><br /></td></tr>
<tr class="separator:a34f0039fba61c2fef84ba6bf8c07de6d inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a302c40df3290679f524ae642bd29ea41 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a302c40df3290679f524ae642bd29ea41">PrintPropertyInfo</a> (std::ostream &amp;os, const std::string &amp;classNameDotPropertyName, bool printFlagInfo=true)</td></tr>
<tr class="memdesc:a302c40df3290679f524ae642bd29ea41 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Dump formatted property information to a given output stream, useful for creating a "help" facility for registered objects.  <a href="classOpenSim_1_1Object.html#a302c40df3290679f524ae642bd29ea41">More...</a><br /></td></tr>
<tr class="separator:a302c40df3290679f524ae642bd29ea41 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6fdbac7ab46d14e883a48e2398596a1 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#aa6fdbac7ab46d14e883a48e2398596a1">PrintPropertyInfo</a> (std::ostream &amp;os, const std::string &amp;className, const std::string &amp;propertyName, bool printFlagInfo=true)</td></tr>
<tr class="memdesc:aa6fdbac7ab46d14e883a48e2398596a1 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Same as the other signature but the class name and property name are provided as two separate strings.  <a href="classOpenSim_1_1Object.html#aa6fdbac7ab46d14e883a48e2398596a1">More...</a><br /></td></tr>
<tr class="separator:aa6fdbac7ab46d14e883a48e2398596a1 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7d860a7849ddbb27885673dbf5dbf76 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOpenSim_1_1Object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#ab7d860a7849ddbb27885673dbf5dbf76">makeObjectFromFile</a> (const std::string &amp;fileName)</td></tr>
<tr class="memdesc:ab7d860a7849ddbb27885673dbf5dbf76 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create an OpenSim object whose type is based on the tag at the root node of the XML file passed in.  <a href="classOpenSim_1_1Object.html#ab7d860a7849ddbb27885673dbf5dbf76">More...</a><br /></td></tr>
<tr class="separator:ab7d860a7849ddbb27885673dbf5dbf76 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37944898e801cba2bf6f772272df2649 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a37944898e801cba2bf6f772272df2649">getClassName</a> ()</td></tr>
<tr class="memdesc:a37944898e801cba2bf6f772272df2649 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the name of this class as a string; i.e., "Object".  <a href="classOpenSim_1_1Object.html#a37944898e801cba2bf6f772272df2649">More...</a><br /></td></tr>
<tr class="separator:a37944898e801cba2bf6f772272df2649 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc42e7d52c371b14898ce7e13e55700c inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#adc42e7d52c371b14898ce7e13e55700c">setSerializeAllDefaults</a> (bool shouldSerializeDefaults)</td></tr>
<tr class="memdesc:adc42e7d52c371b14898ce7e13e55700c inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Static function to control whether all registered objects and their properties are written to the defaults section of output files rather than only those values for which the default was explicitly overwritten when read in from an input file or set programmatically.  <a href="classOpenSim_1_1Object.html#adc42e7d52c371b14898ce7e13e55700c">More...</a><br /></td></tr>
<tr class="separator:adc42e7d52c371b14898ce7e13e55700c inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a533e0a9420d312a73cb9a5d8efd17081 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a533e0a9420d312a73cb9a5d8efd17081">getSerializeAllDefaults</a> ()</td></tr>
<tr class="memdesc:a533e0a9420d312a73cb9a5d8efd17081 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Report the value of the "serialize all defaults" flag.  <a href="classOpenSim_1_1Object.html#a533e0a9420d312a73cb9a5d8efd17081">More...</a><br /></td></tr>
<tr class="separator:a533e0a9420d312a73cb9a5d8efd17081 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9debf9775f9e8c0b517654cb19669518 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a9debf9775f9e8c0b517654cb19669518">isKindOf</a> (const char *type)</td></tr>
<tr class="memdesc:a9debf9775f9e8c0b517654cb19669518 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if the passed-in string is "Object"; each Object-derived class defines a method of this name for its own class name.  <a href="classOpenSim_1_1Object.html#a9debf9775f9e8c0b517654cb19669518">More...</a><br /></td></tr>
<tr class="separator:a9debf9775f9e8c0b517654cb19669518 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46f10ccc4bc8ab3b0b4e68d3ab75f892 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a46f10ccc4bc8ab3b0b4e68d3ab75f892">setDebugLevel</a> (int newLevel)</td></tr>
<tr class="memdesc:a46f10ccc4bc8ab3b0b4e68d3ab75f892 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the amount of logging output.  <a href="classOpenSim_1_1Object.html#a46f10ccc4bc8ab3b0b4e68d3ab75f892">More...</a><br /></td></tr>
<tr class="separator:a46f10ccc4bc8ab3b0b4e68d3ab75f892 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96486fa12910478db9b65384546d9e97 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a96486fa12910478db9b65384546d9e97">getDebugLevel</a> ()</td></tr>
<tr class="memdesc:a96486fa12910478db9b65384546d9e97 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the current setting of debug level.  <a href="classOpenSim_1_1Object.html#a96486fa12910478db9b65384546d9e97">More...</a><br /></td></tr>
<tr class="separator:a96486fa12910478db9b65384546d9e97 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72643bf97b601311912f678bb3770abe inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOpenSim_1_1Object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a72643bf97b601311912f678bb3770abe">SafeCopy</a> (const <a class="el" href="classOpenSim_1_1Object.html">Object</a> *aObject)</td></tr>
<tr class="memdesc:a72643bf97b601311912f678bb3770abe inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use the <a class="el" href="classOpenSim_1_1Object.html#af221c900c5447df9928f1786469ef1b8" title="Create a new heap-allocated copy of the concrete object to which this Object refers.">clone()</a> method to duplicate the given object unless the pointer is null in which case null is returned.  <a href="classOpenSim_1_1Object.html#a72643bf97b601311912f678bb3770abe">More...</a><br /></td></tr>
<tr class="separator:a72643bf97b601311912f678bb3770abe inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a6f962db2c026cce6176ed5017e805c inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a0a6f962db2c026cce6176ed5017e805c">RegisterType</a> (const <a class="el" href="classOpenSim_1_1Object.html">Object</a> &amp;defaultObject)</td></tr>
<tr class="memdesc:a0a6f962db2c026cce6176ed5017e805c inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">OBSOLETE alternate name for <a class="el" href="classOpenSim_1_1Object.html#ace1fe7d9f4d7509b5d9e74fbe757b72d" title="Register an instance of a class; if the class is already registered it will be replaced.">registerType()</a>.  <a href="classOpenSim_1_1Object.html#a0a6f962db2c026cce6176ed5017e805c">More...</a><br /></td></tr>
<tr class="separator:a0a6f962db2c026cce6176ed5017e805c inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b7d3f95ec3dcec17bd5fc17de4b3062 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1Object.html#a2b7d3f95ec3dcec17bd5fc17de4b3062">RenameType</a> (const std::string &amp;oldName, const std::string &amp;newName)</td></tr>
<tr class="memdesc:a2b7d3f95ec3dcec17bd5fc17de4b3062 inherit pub_static_methods_classOpenSim_1_1Object"><td class="mdescLeft">&#160;</td><td class="mdescRight">OBSOLETE alternate name for <a class="el" href="classOpenSim_1_1Object.html#ad4f89d1f8a5d4b85dba51df9b207183b" title="Support versioning by associating the current Object type with an old name.">renameType()</a>.  <a href="classOpenSim_1_1Object.html#a2b7d3f95ec3dcec17bd5fc17de4b3062">More...</a><br /></td></tr>
<tr class="separator:a2b7d3f95ec3dcec17bd5fc17de4b3062 inherit pub_static_methods_classOpenSim_1_1Object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="member-group"></a>
Auto-generated functions &lt;br&gt;</h2></td></tr>
<tr class="memitem:af6dba4d9ce68e7808518975eaec96f6a"><td class="memItemLeft" align="right" valign="top">static const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoInitialVelocityEquilibriumDGFGoal.html#af6dba4d9ce68e7808518975eaec96f6a">getClassName</a> ()</td></tr>
<tr class="memdesc:af6dba4d9ce68e7808518975eaec96f6a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This returns "MocoInitialVelocityEquilibriumDGFGoal" <br  />
  <a href="classOpenSim_1_1MocoInitialVelocityEquilibriumDGFGoal.html#af6dba4d9ce68e7808518975eaec96f6a">More...</a><br /></td></tr>
<tr class="separator:af6dba4d9ce68e7808518975eaec96f6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad49f2d84ae8c37b55931dbcf7a990105"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOpenSim_1_1MocoInitialVelocityEquilibriumDGFGoal.html">MocoInitialVelocityEquilibriumDGFGoal</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoInitialVelocityEquilibriumDGFGoal.html#ad49f2d84ae8c37b55931dbcf7a990105">clone</a> () const override</td></tr>
<tr class="memdesc:ad49f2d84ae8c37b55931dbcf7a990105"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new heap-allocated copy of the concrete object to which this Object refers.  <a href="classOpenSim_1_1MocoInitialVelocityEquilibriumDGFGoal.html#ad49f2d84ae8c37b55931dbcf7a990105">More...</a><br /></td></tr>
<tr class="separator:ad49f2d84ae8c37b55931dbcf7a990105"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a307a4d7a5c32a3479314a46fe92ef471"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1MocoInitialVelocityEquilibriumDGFGoal.html#a307a4d7a5c32a3479314a46fe92ef471">getConcreteClassName</a> () const override</td></tr>
<tr class="memdesc:a307a4d7a5c32a3479314a46fe92ef471"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the class name of the concrete Object-derived class of the actual object referenced by this Object, as a string.  <a href="classOpenSim_1_1MocoInitialVelocityEquilibriumDGFGoal.html#a307a4d7a5c32a3479314a46fe92ef471">More...</a><br /></td></tr>
<tr class="separator:a307a4d7a5c32a3479314a46fe92ef471"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description </h2>
<div class="textblock"><p>For <a class="el" href="classOpenSim_1_1DeGrooteFregly2016Muscle.html" title="This muscle model was published in De Groote et al.">DeGrooteFregly2016Muscle</a> components with implicit tendon compliance dynamics, the initial tendon and fiber velocities are determined based the derivative of the linearized muscle-tendon equilibrium equation described in Millard et al. </p>
<p>2013 (Appendix, equation A6). Without this goal, the derivative of normalized tendon force, which is a control variable in implicit tendon compliance dynamics, may undesirably start at a very large value if not constrained or minimized (which it is not by default). This is an endpoint constraint goal by default. </p><dl class="section note"><dt>Note</dt><dd>This goal only applies to DeGrooteFregly2016Muscles. </dd></dl>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a8284cf5f454529c8e983493343488fd3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8284cf5f454529c8e983493343488fd3">&#9670;&nbsp;</a></span>MocoInitialVelocityEquilibriumDGFGoal() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::MocoInitialVelocityEquilibriumDGFGoal::MocoInitialVelocityEquilibriumDGFGoal </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a683254252c4902b0e8c826eaa9b5abe5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a683254252c4902b0e8c826eaa9b5abe5">&#9670;&nbsp;</a></span>MocoInitialVelocityEquilibriumDGFGoal() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::MocoInitialVelocityEquilibriumDGFGoal::MocoInitialVelocityEquilibriumDGFGoal </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a823e0c22206048b0d91260070ea8c1bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a823e0c22206048b0d91260070ea8c1bf">&#9670;&nbsp;</a></span>calcGoalImpl()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void OpenSim::MocoInitialVelocityEquilibriumDGFGoal::calcGoalImpl </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOpenSim_1_1MocoGoal_1_1GoalInput.html">GoalInput</a> &amp;&#160;</td>
          <td class="paramname"><em>input</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SimTK::Vector &amp;&#160;</td>
          <td class="paramname"><em>goal</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>You may need to realize the state to the stage required for your calculations. </p>
<p>Do NOT realize to a stage higher than the goal's stage dependency; doing so will cause an exception to be thrown. The Lagrange multipliers for kinematic constraints are not available. </p>

<p>Implements <a class="el" href="classOpenSim_1_1MocoGoal.html#a697a8ebabf408328a65cb2b1077540ce">OpenSim::MocoGoal</a>.</p>

</div>
</div>
<a id="ad49f2d84ae8c37b55931dbcf7a990105"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad49f2d84ae8c37b55931dbcf7a990105">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1MocoInitialVelocityEquilibriumDGFGoal.html">MocoInitialVelocityEquilibriumDGFGoal</a>* OpenSim::MocoInitialVelocityEquilibriumDGFGoal::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Create a new heap-allocated copy of the concrete object to which this Object refers. </p>
<p>It is up to the caller to delete the returned object when no longer needed. Every concrete object deriving from Object implements this pure virtual method automatically, via the declaration macro it invokes (e.g., <a class="el" href="classOpenSim_1_1Object.html#a13075f96c92f1a0f18b791adf0fa255b" title="Macro to be included as the first line of the class declaration for any non-templatized,...">OpenSim_DECLARE_CONCRETE_OBJECT()</a>). Note that the concrete class overrides modify the return type to be a pointer to the <em>concrete</em> object; that still overrides the base class method because the return type is covariant with (that is, derives from) Object. </p>

<p>Implements <a class="el" href="classOpenSim_1_1MocoGoal.html#a958ac7bab639652e7804faae2c60c1fe">OpenSim::MocoGoal</a>.</p>

</div>
</div>
<a id="af6dba4d9ce68e7808518975eaec96f6a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6dba4d9ce68e7808518975eaec96f6a">&#9670;&nbsp;</a></span>getClassName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string&amp; OpenSim::MocoInitialVelocityEquilibriumDGFGoal::getClassName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This returns "MocoInitialVelocityEquilibriumDGFGoal" <br  />
 </p>
<p>See <a class="el" href="classOpenSim_1_1MocoInitialVelocityEquilibriumDGFGoal.html#a307a4d7a5c32a3479314a46fe92ef471" title="Returns the class name of the concrete Object-derived class of the actual object referenced by this O...">getConcreteClassName()</a> if you want the class name of the underlying concrete object instead. <br  />
 </p>

</div>
</div>
<a id="a307a4d7a5c32a3479314a46fe92ef471"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a307a4d7a5c32a3479314a46fe92ef471">&#9670;&nbsp;</a></span>getConcreteClassName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string&amp; OpenSim::MocoInitialVelocityEquilibriumDGFGoal::getConcreteClassName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the class name of the concrete Object-derived class of the actual object referenced by this Object, as a string. </p>
<p>This is the string that is used as the tag for this concrete object in an XML file. Every concrete class derived from Object automatically overrides this method via the declaration macro it uses. See <a class="el" href="classOpenSim_1_1MocoInitialVelocityEquilibriumDGFGoal.html#af6dba4d9ce68e7808518975eaec96f6a" title="This returns &quot;MocoInitialVelocityEquilibriumDGFGoal&quot;">getClassName()</a> to get the class name of the referencing (possibly abstract) class rather than the concrete object. </p><dl class="section see"><dt>See also</dt><dd><a class="el" href="classOpenSim_1_1MocoInitialVelocityEquilibriumDGFGoal.html#af6dba4d9ce68e7808518975eaec96f6a" title="This returns &quot;MocoInitialVelocityEquilibriumDGFGoal&quot;">getClassName()</a> </dd></dl>

<p>Implements <a class="el" href="classOpenSim_1_1MocoGoal.html#aa47483c07b59df5ec028ea73100ec5f2">OpenSim::MocoGoal</a>.</p>

</div>
</div>
<a id="a3421c5263e78cd2a64f4bd752c1b4baa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3421c5263e78cd2a64f4bd752c1b4baa">&#9670;&nbsp;</a></span>getDefaultModeImpl()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOpenSim_1_1MocoGoal.html#a4f55d8cf0ff70498be696061539440a5">Mode</a> OpenSim::MocoInitialVelocityEquilibriumDGFGoal::getDefaultModeImpl </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented from <a class="el" href="classOpenSim_1_1MocoGoal.html#ad0977861d938778dabdc12bd33f370b3">OpenSim::MocoGoal</a>.</p>

</div>
</div>
<a id="ab5c67872de11107b3d80928a8427a30f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5c67872de11107b3d80928a8427a30f">&#9670;&nbsp;</a></span>getSupportsEndpointConstraintImpl()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool OpenSim::MocoInitialVelocityEquilibriumDGFGoal::getSupportsEndpointConstraintImpl </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented from <a class="el" href="classOpenSim_1_1MocoGoal.html#af8f3bdd13b3aa97a076c35f646b9a045">OpenSim::MocoGoal</a>.</p>

</div>
</div>
<a id="a1d107be1415361e33769512a1afad9dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d107be1415361e33769512a1afad9dc">&#9670;&nbsp;</a></span>initializeOnModelImpl()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void OpenSim::MocoInitialVelocityEquilibriumDGFGoal::initializeOnModelImpl </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1Model.html">Model</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Perform any caching before the problem is solved. </p>
<p>You must override this function and invoke <a class="el" href="classOpenSim_1_1MocoGoal.html#a328b3df7e98f959f6ea20d85a9599f29" title="Set the number of integral terms required by this goal and the length of the vector passed into calcG...">setRequirements()</a>. </p><dl class="section user"><dt>Precondition(s):</dt><dd>The model is initialized (initSystem()) and <a class="el" href="classOpenSim_1_1MocoGoal.html#a6626ac0748ec8f5c396d29463dd4f081" title="For use within virtual function implementations.">getModel()</a> is available. The passed-in model is equivalent to <a class="el" href="classOpenSim_1_1MocoGoal.html#a6626ac0748ec8f5c396d29463dd4f081" title="For use within virtual function implementations.">getModel()</a>. Use this opportunity to check for errors in user input. </dd></dl>

<p>Implements <a class="el" href="classOpenSim_1_1MocoGoal.html#ac7861cf69f483c104b6f55e297d7a96e">OpenSim::MocoGoal</a>.</p>

</div>
</div>
<a id="addd7dc4bc27d67aa55ff2a481cf63090"></a>
<h2 class="memtitle"><span class="permalink"><a href="#addd7dc4bc27d67aa55ff2a481cf63090">&#9670;&nbsp;</a></span>safeDownCast()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOpenSim_1_1MocoInitialVelocityEquilibriumDGFGoal.html">MocoInitialVelocityEquilibriumDGFGoal</a>* OpenSim::MocoInitialVelocityEquilibriumDGFGoal::safeDownCast </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOpenSim_1_1Object.html">OpenSim::Object</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>For use in MATLAB and Python to access the concrete class. </p>
<p>Example: <code>cObj = MocoInitialVelocityEquilibriumDGFGoal.safeDownCast(obj)</code>. This is equivalent to <code>dynamic_cast&lt;MocoInitialVelocityEquilibriumDGFGoal*&gt;(obj)</code> in C++. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>OpenSim/Moco/MocoGoal/MocoInitialVelocityEquilibriumDGFGoal.h</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceOpenSim.html">OpenSim</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1MocoInitialVelocityEquilibriumDGFGoal.html">MocoInitialVelocityEquilibriumDGFGoal</a></li>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:46 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
